<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=US-ASCII">
<meta name="generator" content="hevea 2.34">
<meta name="Author" content="Luc Maranget">
<script type="text/javascript" async src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-MML-AM_CHTML"></script><link rel="stylesheet" type="text/css" href="manual.css">
<title>Displayed Paragraphs</title>
</head>
<body>
<a href="manual027.html"><img src="previous_motif.svg" alt="Previous"></a>
<a href="manual022.html"><img src="contents_motif.svg" alt="Up"></a>
<a href="manual029.html"><img src="next_motif.svg" alt="Next"></a>
<hr>
<h2 class="section" id="sec123">B.6&#XA0;&#XA0;Displayed Paragraphs</h2>
<ul>
<li><a href="manual028.html#sec124">Quotation and Verse</a>
</li><li><a href="manual028.html#sec125">List-Making environments</a>
</li><li><a href="manual028.html#sec126">The <span class="c013">list</span> and <span class="c013">trivlist</span>
environments</a>
</li><li><a href="manual028.html#sec127">Verbatim</a>
</li></ul>
<p>
Displayed-paragraph environments translate to block-level
elements.</p><p>In addition to the environments described in this section,
H<span class="c016"><sup>E</sup></span>V<span class="c016"><sup>E</sup></span>A implements the <code>center</code>, <code>flushleft</code> and
<code>flushright</code> environments.
H<span class="c016"><sup>E</sup></span>V<span class="c016"><sup>E</sup></span>A also implements the corespondant T<sub>E</sub>X style declaration
<code>\centering</code> <code>\raggedright</code> and <code>\raggedleft</code>,
but these declarations may not work as expected, when they do not
appear directly inside a displayed-paragraph environment or inside an array
element.</p>
<h3 class="subsection" id="sec124">B.6.1&#XA0;&#XA0;Quotation and Verse</h3>
<p>
The <code>quote</code> and <code>quotation</code> environments are the same thing: they
translate to <code>BLOCKQUOTE</code> elements.
The <code>verse</code> environment is not supported.</p>
<h3 class="subsection" id="sec125">B.6.2&#XA0;&#XA0;List-Making environments</h3>
<p>
The <code>itemize</code>, <code>enumerate</code> and <code>description</code>
environments translate to the <code>ul</code>, <code>ol</code>, and
<code>DL</code> elements and this is the whole story.</p><p>As a consequence, no control is allowed on the appearances of these
environments. More precisely optional arguments to <code>\item</code> do not
function properly inside <code>itemize</code> and <code>enumerate</code>. Moreover, item
labels inside <code>itemize</code> or numbering style inside <code>enumerate</code>
are browser dependent.</p><p>However, customized lists can be produced by using the
the <span class="c013">list</span> environment (see next section).</p>
<h3 class="subsection" id="sec126">B.6.3&#XA0;&#XA0;The <span class="c013">list</span> and <span class="c013">trivlist</span>
environments</h3>
<p>
The <code>list</code> environment translates to the
<code>DL</code> element.
Arguments to <code>\begin{list}</code> are handled as follows:</p><div class="flushleft">
&#XA0;&#XA0;<code>\begin{list}{</code><span class="c019">default_label</span><code>}{</code><span class="c019">decls</span><code>}</code>
</div><p>The first argument <span class="c019">default_label</span> is the label generated by an
<code>\item</code> command with no argument.
The second argument, <span class="c019">decls</span> is a sequence of declarations.
In practice, the following declarations are relevant:
</p><dl class="list"><dt class="dt-list">

<span class="c013">\usecounter{</span><span class="c019">counter</span><span class="c013">}</span></dt><dd class="dd-list">
The counter <span class="c019">counter</span> is incremented by <code>\refstepcounter</code>
by every <code>\item</code> command with no argument, before it does
anything else.
</dd><dt class="dt-list"><span class="c013">\renewcommand{\makelabel}[1]{</span>&#X2026;<span class="c013">}</span></dt><dd class="dd-list">
The command <code>\item</code> executes
<code>\makelabel{</code><span class="c019">label</span><code>}</code>, where <span class="c019">label</span> is the item
label, to print its label.
Thus, users can change label formatting by redefining
<code>\makelabel</code>.
The default definition of <code>\makelabel</code> simply echoes <span class="c019">label</span>.
</dd></dl><p>As an example, a list with an user-defined counter can be defined as
follows:
</p><pre class="verbatim">\newcounter{coucou}
\begin{list}{\thecoucou}{%
\usecounter{coucou}%
\renewcommand{\makelabel}[1]{\textbf{#1}.}}
...
\end{list}
</pre><p>
This yields:

</p><dl class="list"><dt class="dt-list">

<span class="c023">1</span>.</dt><dd class="dd-list">First item.
</dd><dt class="dt-list"><span class="c023">2</span>.</dt><dd class="dd-list">Second item.
</dd></dl><p>The <code>trivlist</code> environment is also supported. It is equivalent to
the <code>description</code> environment.</p>
<h3 class="subsection" id="sec127">B.6.4&#XA0;&#XA0;Verbatim</h3>
<p>The <code>verbatim</code> and <code>verbatim*</code> environments translate to
the <code>PRE</code> element.
Inside <code>verbatim*</code>, spaces are replaced by underscores (&#X201C;<code>_</code>&#X201D;).</p><p>Similarly, <code>\verb</code> and <code>\verb*</code>
translate to the <code>CODE</code> text element.</p><p>The <code>alltt</code> environment is supported.</p>
<hr>
<a href="manual027.html"><img src="previous_motif.svg" alt="Previous"></a>
<a href="manual022.html"><img src="contents_motif.svg" alt="Up"></a>
<a href="manual029.html"><img src="next_motif.svg" alt="Next"></a>
</body>
</html>
